function [output] = xbow(comport,num)
% Reads, stores and plots data coming from the 
% XBow ADXL202EB-RS232.
% example:
%   A = xbow('COM2',100)
%
% by Kristof Van Laerhoven (kristof@comp.lancs.ac.uk)
%

s = serial(comport);
set(s, 'BaudRate', 38400);
set(s, 'Parity', 'none');
set(s, 'ReadAsyncMode', 'continuous');
set(s, 'DataBits', 8);
set(s, 'StopBits', 1);
set(s, 'BytesAvailableActionMode', 'byte');
set(s, 'FlowControl', 'none');
set(s, 'TimeOut', 1);
set(s, 'Tag', 'XBow' );
set(s, 'RequestToSend', 'on');

fopen(s)

output = [ 0 0 ];
    
for l=1:num,
        
        fwrite(s,'G')       % ask for accel. data
	
        out = fread(s,4,'uchar');    % read 4 bytes 
        
        output = [ output; [ (256*out(1)+out(2))/100 (256*out(3)+out(4))/100] ];
       
end
    
plot(output);
drawnow;
  
fclose(s)
delete(s)
clear s
